etcd (3.5.16-10) unstable; urgency=medium

  * Team upload
  * debian/tests: Split out e2e from functional tests
  * debian/tests: Avoid leak detector by running tests short
  * Add patch to disable goroutine leak detection, Closes: #1126588

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 07 Feb 2026 20:24:31 -0500

etcd (3.5.16-9) unstable; urgency=medium

  * Team upload
  * Add new 0022-Support-prometheus-common-v0.66.0.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 02 Jan 2026 12:39:41 +0000

etcd (3.5.16-8) unstable; urgency=medium

  * Team upload.
  * Fix compilation with golang 1.25.2, Closes: #1117747
  * debian/tests/control: require container-isolation for 'member-list'

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Oct 2025 06:57:05 -0400

etcd (3.5.16-7) unstable; urgency=medium

  * Team upload.
  * Tighten dependency on golang-github-olekukonko-tablewriter-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Aug 2025 08:11:39 -0400

etcd (3.5.16-6) unstable; urgency=medium

  * Team upload.
  * Mark autopkgtests as non-optional
  * Unbreak autopkgtest 'member-list' (allows stderr)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Aug 2025 13:14:50 -0400

etcd (3.5.16-5) unstable; urgency=medium

  * Team upload.
  * debian/copyright: drop Files-Excluded
  * add new and quick test for autopkgtest
  * Drop init script
  * dependency: bump github.com/olekukonko/tablewriter from 0.0.5 to 1.0.6

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Aug 2025 09:20:41 -0400

etcd (3.5.16-4) unstable; urgency=medium

  * Team upload.

  [ Nicolas Peugnet ]
  * Add patch to fix tests with go 1.24. (Closes: #1096215)

  [ Guillem Jover ]
  * Run wrap-and-sort -ast.
  * Switch from Built-Using to Static-Built-Using field.
  * Switch to Standards-Version 4.7.2 (no changes needed).
  * Place each make variable multi-value into its own line.
  * Update debian/gbp.conf with Go Team current workflow.
  * Switch from dh-golang to dh-sequence-goland and no explicit --with=golang.
  * Lowercase man pages command name in title.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 04 Mar 2025 14:20:11 +0100

etcd (3.5.16-3) unstable; urgency=medium

  * Team upload.
  * TestHashKVWhenCompacting: increase timeout 10s->15s to avoid
    build failures on armel, and potentially other slower platforms

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Nov 2024 05:38:59 -0400

etcd (3.5.16-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:24:51 -0400

etcd (3.5.16-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: 3.5.16
  * Tighten dependencies on opentelemetry packages

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Oct 2024 16:30:05 -0400

etcd (3.5.15-7) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests, Closes: #1077867
    - Disable curl-related-tests
    - debian/tests/functional: Patch functional.yaml for
      non-standard port-numbers

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 19:24:08 -0400

etcd (3.5.15-6) unstable; urgency=medium

  * Team upload.
  * Mark autopkgtests 'functional' and 'integration' as flaky
    to aid testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Aug 2024 09:53:51 -0400

etcd (3.5.15-5) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * Include most of tests/ directory as other packages FTBFS without
    those sources
  * Restore coreos symlink created by d/golang-etcd-server-dev.links

  [ Reinhard Tartler ]
  * tests/functional: Make etcdutl available
  * Avoid dangling symlinks in the -dev package

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Aug 2024 04:48:17 +0000

etcd (3.5.15-4) unstable; urgency=medium

  * Drop v3 symlink and install go.mod file
  * Ignore etcd package without v3 suffix when checking leaking goroutines.
  * Run short test during build
  * Drop unused Depends
    - golang-github-coreos-pkg-dev
    - golang-github-google-uuid-dev
  * Ingore contrib dir when building
  * Fix functional and integration autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 01 Aug 2024 16:25:53 +0800

etcd (3.5.15-3) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update list of Breaks in d/control to help hint through migration
    - Update minimum version of various libraries in Build-Depends and Depends
  * Add symlinks in d/golang-etcd-server-dev.links to mimic go.mod's replace
  * Add patch to skip test that fails in salsa CI pipeline

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 30 Jul 2024 07:16:48 +0000

etcd (3.5.15-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS due to grpc-middleware v2 API changes
    - Cherry-pick upstream changes with fixes
    - Add patch to rip some usage out of a test

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 29 Jul 2024 04:53:56 +0000

etcd (3.5.15-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * Team upload
  * New upstream release (Closes: #991462)
    - Rebase existing patches
  * d/control:
    - Update Build-Depends and Depends

  [ Reinhard Tartler ]
  * Backport code changes to build against newer grpc-gateway
  * fix zap logger invocation
  * only run the short tests
  * ignore mvcc/backend and api/membership
  * Rename etcd executable and fix package installation

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 28 Jul 2024 15:26:05 -0400

etcd (3.4.30-3) experimental; urgency=medium

  * Team upload.
  * compile against grpc 1.64 and grpc-gateway@v2

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jun 2024 17:18:45 -0400

etcd (3.4.30-2) experimental; urgency=medium

  * Team upload.
  * build against golang/protobuf@v1.5

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 09 Jun 2024 15:40:28 -0400

etcd (3.4.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.4.30
    + CVE-2021-28235 (fixed in 3.4.25): Clearing password after authenticating
      the user.
    + CVE-2023-32082 (fixed in 3.4.26): LeaseTimeToLive API may return keys to
      clients which have no read permission on the keys

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 28 Feb 2024 17:43:49 +0800

etcd (3.4.23-6) unstable; urgency=medium

  * Team upload
  * Add a patch to skip flaky test that failed on 3/10 buildds

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Feb 2024 00:31:39 +0000

etcd (3.4.23-5) unstable; urgency=medium

  * Team upload
  * d/control:
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends
  * Add a patch to skip tests that fail in some environments

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 22:07:53 +0000

etcd (3.4.23-4) unstable; urgency=medium

  * Team upload.
  * Add patch to skip flaky TestReadWriteTimeout
  * Add vip-manager << 1.0.2-5~ to Breaks

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Jan 2023 19:29:55 +0800

etcd (3.4.23-3) unstable; urgency=medium

  * Team upload.
  * Fix TestCorruptedBackupFileCheck on big-endian

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 04 Jan 2023 19:09:06 +0800

etcd (3.4.23-2) unstable; urgency=medium

  * Team upload.
  * Drop etcd transitional package
  * Update Standards-Version to 4.6.2 (no changes)
  * Add github.com/coreos/etcd to Go-Import-Path as well
  * Remove all options from default.
    Duplicated with upstream documentation
  * Rewrite sysv init with init-d-script
  * Update manpages

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 02 Jan 2023 21:49:43 +0800

etcd (3.4.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.23
    + Address CVE-2018-1098 CVE-2018-1099:
      Mitigate CSRF and DNS Rebinding attacks.
      Added --host-whitelist option.
  * Refresh patches. Drop:
    - 0005-go1.14-cipher.patch
    - 0007-switch-to-creack-pty.patch
    - 0008-use-TLS.Config.MaxVersion-to-TLS-1.2.patch
  * Change Go-Import-Path to go.etcd.io/etcd
  * Add patch for datadriven 1.0.2
  * Exclude tools when building
  * Fix package name in integration test
  * Install symlink for old path github.com/coreos/etcd
  * Add Breaks in golang-etcd-server-dev package
    + golang-github-docker-docker-dev
    + nextcloud-spreed-signaling

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 23:54:56 +0800

etcd (3.3.25+dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Sam Q ]
  * Fix for correcting error searching new upstream

  [ Shengjing Zhu ]
  * Backport grpc 1.32 support

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 20:29:46 +0800

etcd (3.3.25+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * Switch autopkgtest to the new Architecture: field

  [ Reinhard Tartler ]
  * Avoid postinst crashes, Closes: #889714

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Feb 2022 22:18:53 -0500

etcd (3.3.25+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Use packaged library
    + golang-github-grpc-ecosystem-go-grpc-middleware-dev
    + golang-github-soheilhy-cmux-dev
    + golang-github-tmc-grpc-websocket-proxy-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 16:01:47 +0800

etcd (3.3.25+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Rework goroutine leak patch
  * Disable parallel test to improve stability on slow arch
  * Adapt manpage and default config for 3.3 release

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 10 Oct 2020 03:12:37 +0800

etcd (3.3.25+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Not exit immediately on unsupported arch (Closes: #952536)
  * Add back some old patches to fix flaky tests

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 02:58:49 +0800

etcd (3.3.25+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Backport patch to fix tls test failure

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 00:03:52 +0800

etcd (3.3.25+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Fix tests failed with Ctty not valid in child.
    Address: #971158
  * Rewrite integration and functional tests in autopkgtest
  * Use execute_after_dh_auto_test
  * Update copyright
  * Fix file permission in golang-etcd-server-dev
  * Add Pre-Depends to etcd-server

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Oct 2020 23:23:47 +0800

etcd (3.3.25+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.3.25
    + CVE-2020-15136 (Closes: #968752)
      Gateway TLS authentication only applies to endpoints detected in DNS SRV
      records
      https://github.com/etcd-io/etcd/security/advisories/GHSA-wr2v-9rpq-c35q
    + CVE-2020-15115 (Closes: #968740)
      No minimum password length
      https://github.com/etcd-io/etcd/security/advisories/GHSA-4993-m7g5-r9hh
    + CVE-2020-15114
      Gateway can include itself as an endpoint resulting in resource
      exhaustion
      https://github.com/etcd-io/etcd/security/advisories/GHSA-2xhq-gv6c-p224
    + CVE-2020-15113
      Directories created via os.MkdirAll are not checked for permissions
      https://github.com/etcd-io/etcd/security/advisories/GHSA-chh6-ppwq-jh92
    + CVE-2020-15112
      An entry with large index causes panic in WAL ReadAll method
      https://github.com/etcd-io/etcd/security/advisories/GHSA-m332-53r6-2w93
    + CVE-2020-15106
      A large slice causes panic in decodeRecord method
      https://github.com/etcd-io/etcd/security/advisories/GHSA-p4g4-wgrh-qrg2
  * Disable some failed tests (Closes: #971158)
  * Bump debhelper compat to 13
  * Add Rules-Requires-Root
  * Bump Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Oct 2020 22:58:53 +0800

etcd (3.2.26+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/patches/embed_tests_fix.patch: New patch, skips
    TestStartEtcdWrongToken test which fails if a etcd server is already
    running independently of the testsuite.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 31 May 2020 10:34:10 +0200

etcd (3.2.26+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/rules: Provide an explicit and PHONY build rule, as before
    `debian/rules build' was a no-op which broke autopkgtest-pkg-go
    integration.(Closes: #956424)
  * debian/patches/series: Reactivate and update skip-dev-ptmx-error.patch.
  * debian/patches/e2e_tests_fix.patch,
    debian/patches/functional_tests_fix.patch,
    debian/patches/integration_tests_fix.patch: New patches, fix issues in the
    integration tests.
  * debian/rules: Add new rule autopkgtest which runs the integration tests
    during autopkgtest, as defined by all tests which are not part of
    INTEGRATION_TEST_EXCLUDES.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 29 May 2020 19:01:18 +0200

etcd (3.2.26+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Rebuild using newer golang-golang-x-net-dev

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 10 Jan 2020 09:29:10 -0600

etcd (3.2.26+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with newer prometheus version (Closes: #947939)
  * Build-Depends on golang-github-prometheus-client-golang-dev (>= 1.0.0~)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 10 Jan 2020 01:15:15 -0600

etcd (3.2.26+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * Add upstream patch to build against golang-google-grpc-dev in sid.
  * Add upstream patch to fix test with go 1.12.

  [ Dmitry Smirnov ]
  * (Build-)Depends:
    - golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 25 Oct 2019 16:51:45 +1100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog golang-etcd-server-dev`.
